*{
    margin: 0;
    box-sizing: border-box;
}

body{
    font-family: Arial, Helvetica, sans-serif;
}

#menu_cont{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    height: 100px;
}

.logo{
    width: 300px;
}
/*------------------------MENU------------------------*/


.menu{
    font-family: ElmsSans-Regular;
    font-size: 20px;
    list-style: none;
    width: 50%;
    min-height: 80px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: row;
}
.li a{
    text-decoration: none;
    color: #000;
    transition: .3s;
}
.li a:hover{
    color:rgb(0, 101, 190);
    text-shadow: 2px 2px 4px rgba(0,0,0,0.5);
}

.nav__logo{
    display: none;
}

.nav__img{
    width: 35px;
    display: block;
}
/*-----------------------------------------*/

#slogan{
    position: relative;
    font-family: AlfaSlabOne-Regular;
    text-transform: uppercase;
    min-height: 450px;
    padding: 30px;
    display: flex;
    align-items: left;
    flex-direction: column;
    justify-content: center;
    background-image: url("../imgs/parques.jpg");
    background-repeat: no-repeat;
    background-size: 130%;
    font-size: 50px;    
    text-shadow: 2px 2px 4px rgba(0,0,0,0.5);
    animation: background 50s ease infinite;
}
#slogan h3{
    color: rgb(180, 177, 177);
}
#slogan h1{
    letter-spacing: 10px;
    color: white;
}
#btn_slogan{
    position: absolute;
    bottom: 5%;
    right: 15%;
    background: rgba(46, 174, 31, 0.8);
    width: 200px;
    padding: 10px;
    color:#ffffff;
    border-radius: 10px;
    font-family: ElmsSans-Regular;
    font-size: 18px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    border: #ffffff 2px solid;
    text-decoration: none;
    transition: 0.2s;
}
#btn_slogan img{
    width: 30px;
}
#btn_slogan div{
    text-align: center;
}

#btn_slogan:hover{
    background: rgba(46, 174, 31, 1);
}

@keyframes background {
  0% { background-position: 0% 50%; }
  50% { background-position: 100% 50%; }
  100% { background-position: 0% 50%; }
}
/*------------------------------------------------*/
.seccion{
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
}
.box-2{
    position: relative;
    width:50%;
    min-height: 400px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 30px;
}
.box-2 img{
    width: 50%;
}

.carrusel{
    margin: 40px auto;
    width: 95%;
    display: flex;
    overflow-x: auto;
}
.carrusel::-webkit-scrollbar{
    display: none;
}
.grupo{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1em;
    animation: spin 40s infinite linear;
    padding-right: 1em;
}
.card{
    flex: 0 0 6em;
    height: 6em;
    padding: 1em;
    font-size: 3rem;
    border-radius: .2em;
    text-align: center;
    align-content: center;
}
.card img{
    width: 100%;
}

.carrusel_desarrollo{
    position: absolute;
    bottom: 10px;
    margin: 0px auto;
    width: 100%;
    display: flex;
    overflow-x: auto;
}
.carrusel_desarrollo::-webkit-scrollbar{
    display: none;
}

.grupo_desarrollo{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1em;
    animation: spin 25s infinite linear;
    padding-right: 1em;
}
.card_desarrollo{
    font-family: ElmsSans-Regular;
    flex: 0 0 5em;
    height: 5em;
    padding: 0.5em;
    font-size: 1.3rem;
    border-radius: .2em;
    text-align: center;
    align-content: center;
}



@keyframes spin{
    from {translate: 0;}
    to {translate: -100%;}
}

/*---------IDS-------------------*/
 #negocio1{
    padding:30px;
    color:rgb(0, 0, 0);
    text-align: center;
    letter-spacing: 1px ;
    /*background-color: lightblue;*/
    font-family: ElmsSans-Regular;
 }
 #negocio1 img{
    width: 30%;
    animation: resorte 1.5s cubic-bezier(0.68, -0.55, 0.27, 1.55) infinite;
}
#negocio1 h2{
    text-shadow: #000 3px 3px 7px;
}

#negocio2{
    padding:30px;
    color:rgb(0, 0, 0);
    text-align: center;
    letter-spacing: 1px ;
    background-image: url(../imgs/Fdo_WebDesign.png);
    background-size: cover;
    font-family: AlfaSlabOne-Regular;
    text-transform: uppercase;
    font-size: 2.5vw;
 }

 #clientes{
    background-color: rgb(77, 77, 77);
    padding: 30px 0px;
    color: #ffffff;
    font-family: ElmsSans-Regular;
    letter-spacing: 8px;
    text-shadow: #000 5px 5px 5px;
 }

 #contacto{
    background-image: url("../imgs/contacto_op.png");
    background-size: cover;
    background-color: #000;
    padding: 30px 20px;
    color: #ffffff;
    text-shadow: #000 5px 5px 5px;
    font-family: ElmsSans-Regular;
    display: flex;
    justify-content: space-between;
    gap: 15px;
    flex-wrap: wrap;
 }

#form_container{
    width: 72%;
}
#dates_container{
    width: 26%;
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(to left, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
    border-radius: 10px;
    box-shadow: #38210e 4px 4px 8px;
    font-size: 20px;
    
}
#datos{
    display: flex;
    flex-direction: column;
    gap: 20px 0px;
}
.icono{
    color: rgb(182, 182, 237);
    font-size: 30px;
}

@keyframes resorte{
    0%, 100% {
    transform: translatey(0);
}
50% {
    transform: translatey(8%); 
}


/*    0%, 100% {
    transform: scale(1);
}
50% {
    transform: scale(1.2); // Tamaño máximo del rebote 
}*/
}

.wp{
display: flex;
justify-content: center;
align-items: center;
text-align: center;
width: 80px;
height: 80px;
position: fixed;
right: 20px;
bottom: 30px;
z-index: 888;
background-color: #2EAE1F;
border-radius: 50%;
animation: efectoWP 1.2s infinite;
}
.wp img{
    width: 70%;
}

#wp{
 transition: transform 0.5s;
}
#wp:hover {
  transform: rotate(360deg); /* Gira 180 grados al pasar el ratón */
  width: 75%;
}

@keyframes efectoWP{
    0%{
        box-shadow: 0 0 0 0 rgba(46, 174, 31, 0.85);
    }
    100%{
        box-shadow: 0 0 0 25px rgba(46, 174, 31, 0);
    }
}

@media(max-width:750px) {
     /*-------------------MENU-------------------*/
    .nav__logo{
        position: fixed;
        z-index: 1111;
        display:block;
        cursor: pointer;
        top: 20px;
        right: 20px;
        background-color: #000;
        padding: 5px;
        width: auto;
        height: auto;
        border-radius: 3px;
    }

    .menu{
        width: 90%;
        position: fixed;
        right: 0;
        top: 110px;
        bottom: 0;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        align-items: center;
        transform: translate(100%);
        transition: transform .5s;
        z-index: 999;
        background-color: #ffffff;
        border-radius: 10px;
    }
    .menu--show{
        transform: translate(5%);
    }

    #slogan{
        background-size: cover;
        font-size: 38px;
    }

    #btn_slogan{
        right: 35%;
        bottom: 2%;
        font-size: 15px;
        width: 180px;
    }

    .box-2{
        width:100%;
    }

    .carrusel{
        width: 100%;
    }

    #form_container{
    width: 100%;
    }
    #dates_container{
        width: 100%;
    }

}